import 'package:flutter/material.dart';
import 'helper.dart';

class AppColors {
  AppColors._();

  static const Color primaryColor = Color(0xffed1846);
  static const Color secondaryColor = Color(0xff5bcb84);
  static const Color tColor = Color(0xfff087ca);
  static const Color rColor = Color(0xfff08c87);
  static const Color statusColorPending = Color(0xfff8c942);
  static const Color statusColorInProgress = Color(0xff587add);
  static const Color statusColorConfirm = Color(0xff30d300);
  static const Color pageBgColor = Color(0xFFF6F6F6);
  static const Color grey100Color = Color(0xFFEEEEEE);
  static const Color grey200Color = Color(0xFFEEEEEE);
  static const Color grey300Color = Color(0xFFE0E0E0);
  static const Color grey400Color = Color(0xFFBDBDBD);
  static const Color grey500Color = Color(0xFF9E9E9E);
  static const Color grey600Color = Color(0xFF757575);
  static const Color grey700Color = Color(0xFF616161);
  static const Color grey800Color = Color(0xFF424242);
  static const Color grey900Color = Color(0xFF212121);
  static const Color errorColor = Color(0xFFD50000);
  static const Color error100Color = Color(0xffFF5252);
  static const Color mainBgColor = Color(0xfff7f7f7);
  static const Color logoColor = Color(0xfff1ea0c);

  static MaterialColor primaryMaterialColor = getSwatch(primaryColor);
  static MaterialColor errorMaterialColor = getSwatch(errorColor);
  static MaterialColor tableRowMaterialColor = getSwatch(grey500Color);
}
